RalliesAPI

Introduction

OverviewReferenceSandbox
Retail Intent
AskQuestionsTopicsMoversSnapshot
Retail Positioning
HoldingsFlowsRotationOptions
AI Funds
TradesPositionsLeaderboardConsensus
Filings
SearchAskSummariesFinancialsMetrics
Miscellaneous
Screener
API reference/Retail Positioning/Holdings
Contact us

Holdings

GET/retail/positioning/holdings

Current aggregated holdings across connected retail portfolios.

Query Parameters

snapshot_datedateoptional
Portfolio snapshot date.
asset_classesarray<string>optional
Allowed values: stock, etf, option, crypto, other
Optional asset class filters.
min_market_valuenumberoptional
Default: 500
Minimum aggregate market value threshold.
min_holdersintegeroptional
Default: 3
Minimum holder cell threshold before aggregation is returned.
limitintegeroptional
Default: 100
Maximum number of rows to return.
Was this page helpful?
GET/retail/positioning/holdings
curl "https://api.rallies.ai/v1/retail/positioning/holdings?limit=100" \
  -H "X-Rallies-API-Key: $RALLIES_API_KEY"

RESPONSE

JSON
{
  "snapshot_at": "2026-05-25 00:00:00",
  "positions": [
    {
      "ticker": "NVDA",
      "asset_class": "stock",
      "ownership_share_pct": 7.91,
      "market_value_usd": 1842500.18,
      "avg_entry_price": 112.28,
      "avg_current_price": 126.88,
      "open_pnl_usd": 212450.44,
      "unrealized_return_pct": 13.04
    }
  ]
}